(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('filtroService', filtroService);

    filtroService.$inject = ['Server'];

    function filtroService(Server) {
        function LimparFiltro(obj) {
            var action = 'EditorRotas/LimparFiltro';
            return Server.post(action, obj);
        }

        function AplicarFiltro(obj) {
            var action = 'EditorRotas/AplicarFiltro';
            return Server.post(action, obj);
        }

        return {
            AplicarFiltro: AplicarFiltro,
            LimparFiltro: LimparFiltro
        }
    }
})();
